local function Unmute(Soundtime)
	local TimerFrame = CreateFrame("Frame");
	local LastUpdate = 0;

	local AllSound_Old = GetCVar("Sound_EnableAllSound");
	local SFXSound_Old = GetCVar("Sound_EnableSFX");
		
	--unmute if sound is off
	if (AllSound_Old == "0") then
		SetCVar("Sound_EnableAllSound",1);
	end
	if (SFXSound_Old == "0") then
		SetCVar("Sound_EnableSFX",1);
	end
	
	--play "new" sound when sound was off
	if (SFXSound_Old == "0") or (AllSound_Old == "0") then
		PlaySoundFile("Sound\\Interface\\iPlayerInviteA.ogg","SFX");
		TimerFrame:SetScript("OnUpdate", function(self, elapsed)
			LastUpdate = LastUpdate + elapsed;
			if LastUpdate > Soundtime then
				--remute sound
				if (AllSound_Old == "0") then
					SetCVar("Sound_EnableAllSound",0);
				end
				if (SFXSound_Old == "0") then
					SetCVar("Sound_EnableSFX",0);
				end
				TimerFrame:SetScript("OnUpdate",nil);
			end
		end);
	end
end

local WasNotConfirm = {};
for i = 1, MAX_BATTLEFIELD_QUEUES do
	WasNotConfirm[i] = true;
end

local EventFrame = CreateFrame("Frame");
EventFrame:RegisterEvent("UPDATE_BATTLEFIELD_STATUS");--battleground
EventFrame:RegisterEvent("LFG_PROPOSAL_SHOW");--lfg tool
EventFrame:RegisterEvent("BATTLEFIELD_MGR_ENTRY_INVITE");--wintergrasp etc.
EventFrame:SetScript("OnEvent",function(self,event,...)
	if event == "UPDATE_BATTLEFIELD_STATUS" then
		for i = 1, MAX_BATTLEFIELD_QUEUES do
			local status, mapName, instanceID, lowestlevel, highestlevel, teamSize, registeredMatch = GetBattlefieldStatus(i);
			if status == "confirm" then
				if WasNotConfirm[i] == true then
					WasNotConfirm[i] = false;
					Unmute(1);
				end
			else
				WasNotConfirm[i] = true;
			end
		end
	else
		Unmute(2);
	end
end);